Subject: Re: PHC device sharing between PCI functions

From: Richard Cochran <[email-masked]>
Date: Thu, 4 Jul 2013 07:36:05 +0200

On Wed, Jul 03, 2013 at 08:52:33PM +0100, Ben Hutchings wrote:
> 
> So you think each function should have its own clock device, but it's
> only writable on one?  I think that would work, but I thought it would
> be undesirable to have multiple aliases for the same physical clock.

The aliases would not bother me, as long as the ethtool interface-to-phc
association works properly. Of course, if there is a way to suppress
the aliases in the non-VM case, that would be ideal.

Thanks,
Richard